# pirates.httpd.conf - config file for Pirates@Home web server
#
# Generated by make_project on 02Jun2004 by kilefkowitz
#
# This file is included by conf/httpd.conf
#
#  * Added Alias and permission for /download area -EAM 08Sep2004
#  * Added Alias for /help                         -EAM 09Oct2004
#  * Enabled Option IncludesNoExec and x-bit hack  -EAM 09Sep2004
#
#  @(#) Last changed: -EAM 09Oct2004
######################################################################

   DocumentRoot /usr02/pirates/html/user

   Alias      /ops             /usr02/pirates/html/ops
   Alias      /download        /usr02/pirates/download
   Alias      /stats           /usr02/pirates/html/stats
   Alias      /help            /home/myers/www/help/boinc
   Alias      /user_profile    /usr02/pirates/html/user_profile

   ScriptAlias /cgi-bin /usr02/pirates/cgi-bin
 
   # Note: projects/*/keys/ should NOT be readable!

   # Necessary for cgi programs to find GCC-3.3 libraries in /usr/local/lib

   SetEnv LD_LIBRARY_PATH /usr/local/lib:/usr/lib

   #
   # for PHP4
   #
   <IfModule mod_php4.c>
        AddType application/x-httpd-php .php .php4 .php3 .phtml
        AddType application/x-httpd-php-source .phps
   </IfModule>


   #
   # Directories and their permissions & options
   #

   <Directory "/usr02/pirates/html">
        Options Indexes FollowSymlinks MultiViews IncludesNoExec
        AllowOverride AuthConfig Limit
        Order allow,deny
        Allow from all
        <IfModule mod_include.c>
           XBitHack Full
        </IfModule>
    </Directory>


    <Directory "/usr02/pirates/html/ops">
        Options Indexes FollowSymlinks MultiViews IncludesNoExec
        AllowOverride FileInfo AuthConfig Limit Indexes 
        <IfModule mod_include.c>
           XBitHack Full
        </IfModule>
    </Directory>

    <Directory "/usr02/pirates/cgi-bin">
        Options ExecCGI
        AllowOverride AuthConfig Limit
        Order allow,deny
        Allow from all
    </Directory>


    <Directory "/usr02/pirates/download">
        Options Indexes FollowSymlinks MultiViews
        AllowOverride AuthConfig Limit
        Order allow,deny
        Allow from all
    </Directory>


    <Directory "/usr02/pirates/stats">
        Options Indexes MultiViews
        AllowOverride AuthConfig Limit
        Order allow,deny
        Allow from all
    </Directory>


    <Directory "/usr02/pirates/user_profile">
        Options IncludesNoExec
        AllowOverride AuthConfig Limit
        Order allow,deny
        Allow from all
        <IfModule mod_include.c>
           XBitHack Full
        </IfModule>
    </Directory>



    # Developers Help files are linked to this directory:

    <Directory "/home/myers/www/help/boinc">
        Options Indexes SymLinksIfOwnerMatch IncludesNoExec
        AllowOverride FileInfo AuthConfig Limit Indexes 
        IndexOptions FancyIndexing FoldersFirst IconsAreLinks ScanHTMLTitles 

        Order allow,deny
        Allow from all

        # PHP and SSI, what a world!
        <IfModule mod_include.c>
           XBitHack Full
        </IfModule>
    </Directory>

##
